{{ define "content" }}
  <h2>Channels</h2>
  <a role="button" class="btn btn-success" href="/channels/new">New</a>
  <a role="button" class="btn btn-warning" href="/channels/import">Import</a>
  <table class="table">
    <thead>
      <tr>
        <th scope="col">Image</th>
        <th scope="col">Name</th>
        <th scope="col">Country</th>
        <th scope="col">Type</th>
        <th scope="col">Link</th>
        <th scope="col">Followers Count</th>
        <th scope="col">Friends Count</th>
        <th scope="col">Options</th>
      </tr>
    </thead>
    <tbody>
      {{ range . }}
        <tr>
          <td><img style="width: 50px" src="{{ .ImageURL }}"/></td>
          <td>{{ .Name }}</td>
          <td>{{ .Country }}</td>
          <td>{{ .Type.String }}</td>
          <td><a href="{{ .Link }}">{{ .Link }}</a></td>
          <td>{{ .FollowersCount }}</td>
          <td>{{ .FriendsCount }}</td>
          <td>
            <div class="btn-group" role="group">
              <a role="button" href="/channels/{{ .ID }}"class="btn btn-primary">Show</a>
              <a role="button" href="/channels/{{ .ID }}/edit"class="btn btn-info">Edit</a>
							<form action="/channels/{{ .ID }}/delete" method="POST">
              	<button type="submit" class="btn btn-danger">Delete</a>
							</form>
            </div>
          </td>
        </tr>
      {{ end }}
    </tbody>
  </table>
{{ end }}
